---
title: ':-moz-broken'
slug: 'Web/CSS/:-moz-broken'
tags:
  - CSS
  - 'CSS:Mozilla Extensions'
  - NeedsCompatTable
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}{{gecko_minversion_header("1.9")}}</div>

<p>The <strong><code>:-moz-broken</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that matches elements representing broken image links.</p>

<div class="note">
<p><strong>Note:</strong> This selector is mainly intended to be used by theme developers.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">:-moz-broken</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;img src="broken.jpg" alt="This image is broken. :-("&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">:-moz-broken {
  background: bisque;
  padding: 8px;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-moz-broken")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref(":-moz-loading")}}, {{cssxref(":-moz-suppressed")}}, {{cssxref(":-moz-user-disabled")}}</li>
 <li>{{bug("11011")}}</li>
</ul>
